export const userGroupProps = {
  menu: "menu", //菜单数据
  source_user: "source_user", //数据源用户
  source_group: "source_group", //数据源用户组
  data_user: "data_user", //数据共享用户
  data_group: "data_group", //数据共享用户组
  share: "share", //共享权限
  status: "status" //状态
};

export const shareTypes = [
  {
    value: "0",
    label: "只读"
  },
  {
    value: "1",
    label: "读写"
  }
];

export const rules = {
  [userGroupProps.menu]: {
    required: true,
    trigger: "blur",
    message: "请选择共享的菜单数据"
  },
  [userGroupProps.source_user]: {
    required: true,
    trigger: "blur",
    message: "请选择数据源用户"
  },
  [userGroupProps.source_group]: {
    required: true,
    trigger: "blur",
    message: "请选择数据源用户组"
  },
  [userGroupProps.menu]: {
    required: true,
    trigger: "blur",
    message: "请选择共享的菜单数据"
  },
  [userGroupProps.data_user]: {
    required: true,
    trigger: "blur",
    message: "请选择数据共享用户"
  },
  [userGroupProps.data_group]: {
    required: true,
    trigger: "blur",
    message: "请选择数据共享用户组"
  },
  [userGroupProps.share]: {
    required: true,
    trigger: "blur",
    message: "请选择共享的数据权限"
  }
};
