import { FormConfig } from "/@/components/PageSearch";
import { statusList } from "/@/utils/status";
import { shareTypes } from "./configs";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "company",
      type: "select",
      placeholder: "当前状态",
      options: statusList
    },
    {
      field: "contactor",
      type: "input",
      placeholder: "用户组名称"
    },
    {
      field: "contactor",
      type: "input",
      placeholder: "成员名称"
    },
    {
      field: "contactor",
      type: "select",
      placeholder: "共享类型",
      options: shareTypes
    }
  ]
};

export default searchFormConfig;
